<?php
/**
* @package		Easysocial
* @subpackge	bdaygreets
* @copyright	Copyright (C) 2010 - 2016 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Canvas view for JGifts app
 *
 * @since	1.0
 * @access	public
 */

class BdaygreetsViewCanvas extends SocialAppsView
{
	/**
	 * This method is invoked automatically and must exist on this view.
	 *
	 * @since	1.0.0
	 * @access	public
	 * @param	int		The user id that is currently being viewed.
	 * @return 	void
	 */
	public function display($userId = null , $docType = null )
	{
		if($userId=='')
			$userId = JFactory::getUser()->id;
		$juri 		= JURI::base();
		$app = JFactory::getApplication();
		$doc = JFactory::getDocument();
		$doc->addStylesheet($juri.'media/com_easysocial/apps/user/bdaygreets/assets/css/style.css');
		$doc->addStyleSheet($juri . 'components/com_bdaygreets/assets/css/fontello.css');
		$doc->addStyleSheet($juri . 'components/com_bdaygreets/assets/css/profile.css');
		
		$doc->addStylesheet($juri.'components/com_bdaygreets/assets/js/sweetalert/sweetalert2.min.css');
				$doc->addScript($juri.'components/com_bdaygreets/assets/js/sweetalert/sweetalert2.min.js');
		
		// Get the app params
		$userParams 	= $this->getUserParams( $userId );

		// Get the app params
		$appParams	= $this->app->getParams();
		$limit 		= (int)  $appParams->get( 'limit' , 10  );
		$date_format 	= $appParams->get( 'date_format','l jS F Y h:i:s' );
		$thumb_size		= $appParams->get( 'thumb_size','200' );
		$show_gifters		= $appParams->get( 'show_gifters',1 );
		
		$limitstart = $app->input->getInt('limitstart');
		
		$cparams 	= JComponentHelper::getParams('com_bdaygreets');
		$naming 	= $cparams->get('naming','username');
		
		// Requires the viewer to be logged in to access this app
		Foundry::requireLogin();
		
		require_once JPATH_BASE.'/components/com_bdaygreets/helpers/itemid.php';
		$JGitemid = BdaygreetsHelpersItemid::getjGiftsItemid();

		// We want the user object from app_runtastic so we can do funky stuffs.
		$user 	= Foundry::user( $userId );

		// Since we are on the canvas page, we have the flexibility to change the page title.
		if( $user->isViewer() )
		{
			$title 	= JText::_( 'APP_BDAYGREETS' );
		}
		else
		{
			$title	= JText::sprintf( 'APP_BDAYGREETSS' , $user->getName() );
		}

		// Set the page title. You can use JFactory::getDocument()->setTitle( 'title' ) as well.
		//Foundry::page()->title( $title );

		// Load up the model
		$model 	= $this->getModel( 'Bdaygreets' );


		// Get the list of runtastics created by the user.
		$gifts 	= $model->getGifts( $userId ,$limitstart  , $limit);
		$gifts_count = $model->countGifts($userId);

		// Assign the bdaygreets to the theme files.
		// This option is totally optional, you can use your own theme object to output files.
		$this->set( 'title' , $title );
		$this->set( 'userId' , $userId );
		$this->set( 'gifts' , $gifts );
		$this->set( 'naming' , $naming );
		$this->set( 'gifts_count' , $gifts_count );
		$this->set( 'JGitemid' , $JGitemid );
		$this->set( 'thumb_size' , $thumb_size );
		$this->set( 'show_gifters' , $show_gifters );

		//$this->set( 'limit', $limit);

		
		// If you use the built in theme manager, the namespace is relative to the following folder,
		// /media/com_easysocial/apps/user/bdaygreets/themes/default

		$canvas 	= 'canvas/default';

		// Output the contents
		echo parent::display( $canvas );
	}
}